# $Revision: 1.10 $, $Date: 2002/09/22 14:49:48 $
Summary:	A ppp monitor tool designed for blackbox
Summary(pl):	Narzdzie minotorujce ppp zaprojektowane dla blackboksa
Name:		bbppp
Version:	0.2.2
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://bbtools.windsofstorm.net/sources/%{name}-%{version}.tar.gz
Patch0:		%{name}-sysconfdir.patch
URL:		http://bbtools.windsofstorm.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
bbppp allows you to connect and disconnect (with user supplied
scripts) with dial-up. It monitors load, ligths blinking leds and
counts time of connection. It is highly integrated with blackbox
window manager (can use it's theme settings), but can work also with
other WM.

%description -l pl
bbppp pozawala poczy i rozczy si przez dial-up (uywajc
skryptw uytkownika). Moe monitorowa przepyw danych, zapala
mrygajce "diodki" i liczy czas poczenia.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} CXX="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO data/README.*
%attr(755,root,root) %{_bindir}/bb*
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/bbtools/%{name}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bbppp.spec,v $
Revision 1.10  2002/09/22 14:49:48  kloczek
- release 3: use new %doc.

Revision 1.9  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 15:52:01  arturs
fixed a small typo

Revision 1.7  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/03 20:43:03  ankry
- adding es/pt/pt_BR Group translations

Revision 1.3  2002/01/24 05:24:12  kloczek
- added "rm -f missing" on top %build.

Revision 1.2  2002/01/23 20:06:54  filon
- added sysconfdir patch (moves conf. files to /etc)
- config files are noreplace, noverify etc (you want to customize your blackbox, huh?)
- release 2

Revision 1.1  2002/01/23 10:49:16  filon
- new cute package
